# Settings

The settings collection allows you to use placeholders for common values used throughout the theme. By using placeholders for common values, you can alter a theme by tweaking these values in one place instead of having to modify all the styles or properties that are affected by the change.

![](/files/Q85mXt0eEKQt1xJ1bRK5)

Define your placeholders using the editor tab in the "settings" section. Use either a string, an array, or a numeric value. The value you specify in that section will replace the placeholder that you use in the theme.

For example, "borderRadius": 3 will replace the "$borderRadius" placeolder in "radius": "$bolderRadius".

## Syntax

"\[name]": \[value]

The value can be a number, an array or a string.

```javascript
"settings": {
    "borderSize": 1,
    "borderColor": ["red", "yellow", "green", "blue"],
    "focusTransition", "background-color 150ms"
}
```

Use the settings in the theme by prefixing the name with "$" and always in a string.

```javascript
"styles": {
    "width": "$borderSize",
    "color": "$borderColor"
}
```

Now you can change the settings in one place and the entire theme will get automatically updated!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/theme-builder/theme-elements/settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
